# $Revision: 1.74.2.2 $, $Date: 2003/11/04 13:08:12 $
Summary:	A utility for retrieving files using the HTTP or FTP protocols
Summary(es):	Cliente en lnea de comando para bajar archivos WWW/FTP con recursin opcional
Summary(fr):	Un utilitaire pour recuperer des fichiers en utilisant les protocoles HTTP ou FTP
Summary(pl):	Wsadowy klient HTTP/FTP
Summary(pt_BR):	Cliente na linha de comando para baixar arquivos WWW/FTP com recurso opcional
Summary(ru):	      HTTP  FTP
Summary(uk):	̦   ̦   HTTP  FTP
Summary(zh_CN):	[ͨѶ]ǿس,ֶ֧ϵ
Name:		wget
Version:	1.8.2
Release:	3
License:	GPL
Group:		Networking/Utilities
Source0:	ftp://ftp.gnu.org/pub/gnu/wget/%{name}-%{version}.tar.gz
# Source0-md5:	a2473d7a53ebaf0a1bdb06f17059e8f1
Source2:	%{name}-non-english-man-pages.tar.bz2
# Source2-md5:	bad85be11d26aeab8158cdfcf7e7483e
Patch0:		%{name}-info.patch
Patch1:		%{name}-ac.patch
# based on http://www14.u-page.so-net.ne.jp/db3/h-yamamo/ipv6/patches/%{name}-1.8.1-v6-20219.patch.gz
Patch2:		%{name}-ipv6.patch
Patch3:		%{name}-ht.patch
Patch4:		%{name}-filename.patch
Patch5:		%{name}-terminate_filename.patch
URL:		http://sunsite.dk/wget/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel < 0.11
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.6a
BuildRequires:	texinfo
BuildRequires:	perl-devel
Provides:	webclient
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc

%description
GNU Wget is a file retrieval utility which can use either the HTTP or
FTP protocols. Wget features include the ability to work in the
background while you're logged out, recursive retrieval of
directories, file name wildcard matching, remote file timestamp
storage and comparison, use of Rest with FTP servers and Range with
HTTP servers to retrieve files over slow or unstable connections,
support for Proxy servers, and configurability.

%description -l es
GNU wget es una herramienta de red para bajar archivos usando HTTP y
FTP. Funciona en modo no interactivo, pudiendo trabajar en background.
Funciona muy bien, incluso en conexiones lentas o inestables, bajando
el archivo hasta que sea completamente recibido.

%description -l fr
GNU Wget est un utilitaire pour rcuprer des fichiers qui peut
utiliser indiffremment les protocoles HTTP ou FTP. Parmi les
caractristiques de Wget, citons la capacit  rcuprer des fichiers
en arrire-plan alors que vous n'tes pas connect, la rcupration
rcursive de rpertoires, la capacit de rcuprer des fichiers en
appliquant un filtre sur le nom ou sur la date, la gestion de Rest
avec les serveurs FTP et de Range avec les serveurs HTTP pour
rcuprer des fichiers avec une connexion lente ou instable, le
support des serveurs Proxy... Wget est particulirement configurable.

%description -l ja
GNU wget  HTTP  FTP ץȥΤɤ餫Ѥ뤳ȤǤ
ե桼ƥƥǤwget ϥȤƤ
֤˥Хå饦ɤƯħäƤ뤳ȡǥ쥯ȥκƵŪ
ե͡Υ磻ɥɥޥå󥰡եΥॹפ
¸ӡ٤԰³ FTP Ф Rest  HTTP Ф
Range λѡץФΥݡȤưפޤħ
äƤޤ

%description -l pl
Wget jest klientem FTP/HTTP przeznaczonym do cigania zasobw
wsadowo. Umoliwia ciganie zasobw z podkatalogami, a take ma opcje
umoliwiajce wykonanie lokalnej kopii zasobw (mirror). W razie
niemonoci dostania si do zasobw lub gdy poczenie z serwerem
FTP/HTTP zostanie zerwane, moe automatycznie ponawia prby
kopiowania. Jest take dobrze przystosowany do tego, eby uruchamia
go jako zadanie z crona.

%description -l pt_BR
O GNU wget  uma ferramenta de rede para baixar arquivos usando HTTP e
FTP. Ele funciona em modo no interativo, podendo trabalhar em
background. Funciona muito bem, mesmo em conexes lentas ou instveis,
baixando o arquivo at que ele seja completamente recebido.

%description -l ru
GNU Wget -        
 FTP  HTTP.   Wget -   
     ,   ,
   ,     
,      ,
 REST  FTP   Range  HTTP  
      ,  Proxy
, .

%description -l uk
GNU Wget -  ̦     ̦ 
 FTP  HTTP.   Wget -   
ͦ     ,   Ǧ,
¦ ̦  , Ҧ  צ  
̦,   צ ̦  Φ,
 REST  FTP   Range  HTTP  
 ̦  צ  ¦ , Ц
Proxy Ҧ, Φ.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p0

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%configure \
	--with-ssl \
	--enable-ipv6
%{__make}
tail -6 util/README >rmold.README

cd doc
makeinfo --force %{name}.texi; touch *

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

echo "y" | \
	%{__make} install \
		DESTDIR=$RPM_BUILD_ROOT

install util/rmold.pl		$RPM_BUILD_ROOT%{_bindir}/rmold
install doc/sample.wgetrc	$RPM_BUILD_ROOT%{_sysconfdir}/wgetrc

bzip2 -dc %{SOURCE2} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS TODO README MAILING-LIST rmold.README
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/%{name}rc
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_infodir}/*.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wget.spec,v $
Revision 1.74.2.2  2003/11/04 13:08:12  qboosh
- added terminate_filename patch from SuSE (fix for off-by-two overflow in
  compose_file_name() - BTS#749, probably CAN-2002-1565 or similar case - different fn name)
- release 3

Revision 1.74.2.1  2003/07/11 12:04:35  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.74  2002/12/11 10:19:02  qboosh
- added ht patch - SEGV fix from RH
- added filename patch - SECURITY fix from RH (directory traversal thru ftp)
- release 2, STBR to ra/updates/security

Revision 1.73  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.72  2002/06/05 21:41:01  kloczek
- release 1: merge translations from KSI and TurboLinux.

Revision 1.71  2002/06/05 19:43:55  qboosh
- updated to 1.8.2 (bugfix release)
- updated ipv6 patch, added pl translations of v6-specific messages
- use one ac patch instead of broken use_AM_GNU_GETTEXT+ah set
- removed wget-pl.po, translation was already fixed in sources
- STBR-test

Revision 1.70  2002/06/04 21:49:03  qboosh
- this time really fixed pl messages (updated using misiek's wget.pl.po
  for wget 1.7 taken from i18n CVS module)
- BR: gettext-devel 0.10.x
- release 4

Revision 1.69  2002/05/25 21:40:07  qboosh
- new %%doc, cleanup

Revision 1.68  2002/05/21 23:14:55  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.67  2002/05/17 10:01:28  qboosh
- fixed typos, fuzzy entries and other bugs in pl.po
- release 3

Revision 1.66  2002/04/22 10:27:35  djrzulf
- fixed build for --target != from builder,
- Release 2,
- STBR,

Revision 1.65  2002/04/22 07:31:10  djrzulf
- added working IPv6 patch,
- needs testing!
- Release 1,
- STBR,

Revision 1.64  2002/04/03 20:47:41  grzegol
- removed IPv6 patch (it doesn't work at all)

Revision 1.63  2002/04/01 20:39:47  grzegol
- now pl.po is in source package

Revision 1.62  2002/04/01 17:58:18  djrzulf
- added ipv6 patch - it rejecting hunks, smbd must help :>

Revision 1.61  2002/04/01 08:06:31  djrzulf
- updated to 1.8.1,
- STBR,

Revision 1.60  2002/03/03 16:43:48  juandon
- added perl-devel to BuildRequires (pod2man is used)
- added -DHAVE_NLS -DHAVE_LOCALE_H (ugly but works)
- Release 7

Revision 1.59  2002/02/22 23:29:58  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.58  2002/01/18 02:15:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.57  2001/11/15 23:29:05  ankry
- added hu, pl man pages
- release 6

Revision 1.56  2001/11/14 12:52:12  misiek
- new ipv6 patch; release 5

Revision 1.55  2001/10/01 08:19:06  marcus
- removed mv wgetrc.* wgetrc

Revision 1.54  2001/09/04 00:54:42  kloczek
- release 4.

Revision 1.53  2001/09/03 12:48:35  gotar
- awful %%configure macro expansions removed,
- no functional nor release changes.

Revision 1.52  2001/08/30 09:08:27  kloczek
- release 3: added Provides: webclient.

Revision 1.51  2001/08/22 01:28:46  kloczek
- s/libtoolize/libtool/ in BuildRequires rule.

Revision 1.50  2001/08/22 01:19:01  kloczek
- regenerate ac/am/ah/lt files,
- removed am_ac patch and add ah (fix autoherader suit) and commented ac patch
  (fix incorrect dnl usage in configure.in in ipv6 path).

Revision 1.49  2001/08/21 18:43:35  filon
- removed autoconf, changed to %%configure2_13 to make it build

Revision 1.48  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.46  2001/06/04 22:20:39  misiek
- added/removed new/obsolete patches
- updated to 1.7
- updated polish translation
- NFY since ipv6 patch is not working yet!

Revision 1.45  2001/05/09 12:12:18  wiget
fix pl.po; release 4

Revision 1.44  2001/01/02 22:51:24  misiek
release 3; fixed pl translation

Revision 1.43  2001/01/02 18:08:16  kloczek
- removed hardcoded debug=1.

Revision 1.42  2001/01/02 17:53:56  kloczek
- release 2.

Revision 1.41  2001/01/02 17:33:30  misiek
ipv6 support readded

Revision 1.40  2001/01/02 02:02:33  kloczek
- updated to 1.6,
- removed 1.5.3-ipv6, pl.po, symlink patches.

Revision 1.39  2000/10/10 21:13:02  kloczek
- release 12: use new rpm automation suit and adapterized.

Revision 1.38  2000/06/09 07:55:13  kloczek
- more %%{__make} macros.

Revision 1.37  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.36  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.35  2000/05/04 20:49:01  kloczek
- spec adapterized.

Revision 1.34  2000/05/04 15:10:02  bonkey
- added wget-new-percentage patch -- gives eta and current transfer
- release++

Revision 1.33  2000/05/01 20:11:42  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/%post is executed only when info is already
  installed

Revision 1.32  2000/04/01 11:15:56  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.31  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.30  1999/12/13 01:25:59  kloczek
- new %description (from rawhide spec).

Revision 1.29  1999/10/01 20:35:31  kloczek
- don't permit chmod 777 on symlinks (symlink patch from rawhide).

Revision 1.28  1999/10/01 20:30:58  kloczek
- release 10,
- added fr translation from BeroLinux.

Revision 1.27  1999/09/19 10:20:38  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.26  1999/07/27 14:38:41  kloczek
- release 9.

Revision 1.25  1999/07/12 23:06:17  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Piotr Czerwiski <pius@pld.org.pl>
  [1.5.3-8]
- package is FHS 2.0 compliant,
- based on spec file written by ??? <root@ricketts.stannes.ox.ac.uk>,
  rewritten for PLD use by me, Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>,
  and Micha Kuratczyk <kura@pld.org.pl>,
- pl translation by Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  and Wojtek lusarczyk <wojtek@shadow.eu.org>.
